Index: CMT/v1r19/mgr/fragments/nmake/application
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/application	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/application	(revision 1)
@@ -6,5 +6,5 @@
 $(use_linkopts)
 $(${CONSTITUENT}linkopts)
-
+<<
 
 install_dir = $(CMTINSTALLAREA)\$(tag)\bin
Index: CMT/v1r19/mgr/fragments/nmake/application_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/application_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/application_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/c
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/c	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/c	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/c_library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/c_library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/c_library	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/check_application
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/check_application	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/check_application	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/check_application_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/check_application_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/check_application_header	(revision 1)
@@ -5,5 +5,5 @@
 ${CONSTITUENT}check ::
 	@echo "------> starting ${CONSTITUENT}check"
-	@$(cmtexe) -quiet build -nmake constituent_makefile ${CONSTITUENT}
+	@$(cmtexe) build -nmake constituent_makefile ${CONSTITUENT}
 	$(MAKE) /f ${CONSTITUENT}.nmake build_strategy=keep_makefiles ${CONSTITUENT}check
 
Index: CMT/v1r19/mgr/fragments/nmake/check_java
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/check_java	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/check_java	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cleanup
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cleanup	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cleanup	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cleanup_application
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cleanup_application	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cleanup_application	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cleanup_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cleanup_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cleanup_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cleanup_java
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cleanup_java	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cleanup_java	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cleanup_library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cleanup_library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cleanup_library	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cleanup_objects
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cleanup_objects	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cleanup_objects	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cmt_action_runner_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cmt_action_runner_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cmt_action_runner_header	(revision 1)
@@ -26,6 +26,3 @@
 !endif
 
-install ::
-uninstall ::
-
 #-- end of cmt_action_runner_header -----------------
Index: CMT/v1r19/mgr/fragments/nmake/constituent
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/constituent	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/constituent	(revision 1)
@@ -51,5 +51,5 @@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-if exist $(cmt_local_${CONSTITUENT}_makefile) $(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) $(MAKEFLAGS) build_strategy=keep_makefiles ${CONSTITUENT}clean tag=$(tag)
+	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) $(MAKEFLAGS) build_strategy=keep_makefiles ${CONSTITUENT}clean tag=$(tag)
 	@echo (constituents.nmake) ${CONSTITUENT}clean done
 
@@ -60,5 +60,5 @@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) $(MAKEFLAGS) build_strategy=keep_makefiles install tag=$(tag)
+	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) $(MAKEFLAGS) build_strategy=keep_makefiles install tag=$(tag)
 	@echo (constituents.nmake) install ${CONSTITUENT} done
 
@@ -69,5 +69,5 @@
 	@set include=$(include)
 	@set lib=$(lib)
-	@-$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) $(MAKEFLAGS) build_strategy=keep_makefiles uninstall tag=$(tag)
+	@$(MAKE) /nologo /f $(cmt_local_${CONSTITUENT}_makefile) $(MAKEFLAGS) build_strategy=keep_makefiles uninstall tag=$(tag)
 	@echo (constituents.nmake) uninstall ${CONSTITUENT} done
 
Index: CMT/v1r19/mgr/fragments/nmake/constituents_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/constituents_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/constituents_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/constituents_trailer
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/constituents_trailer	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/constituents_trailer	(revision 1)
@@ -8,6 +8,5 @@
 makefilesclean ::
 	@if exist *.make.* del *.make*
-
-###	@if exist checkuses del checkuses
+	@if exist checkuses del checkuses
 
 clean :: makefilesclean
Index: CMT/v1r19/mgr/fragments/nmake/cpp
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cpp	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cpp	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/cpp_library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/cpp_library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/cpp_library	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/dependencies
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/dependencies	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/dependencies	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/dependencies_and_triggers
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/dependencies_and_triggers	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/dependencies_and_triggers	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/fortran
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/fortran	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/fortran	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/fortran_library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/fortran_library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/fortran_library	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/generator_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/generator_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/generator_header	(revision 1)
@@ -9,6 +9,6 @@
 ${dir}${out}_stamp ::
         @echo ${out}
-        $(cmtexe) -quiet expand model "${model}" > ${dir}${out}_temp
-        $(cmtexe) -quiet check files ${dir}${out}_temp ${dir}${out}
+        $(cmtexe) expand model "${model}" > ${dir}${out}_temp
+        $(cmtexe) check files ${dir}${out}_temp ${dir}${out}
         @echo ${CONSTITUENT} >${dir}${out}_stamp
 
Index: CMT/v1r19/mgr/fragments/nmake/group
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/group	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/group	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/install_includes_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/install_includes_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/install_includes_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/installer
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/installer	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/installer	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/installer_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/installer_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/installer_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/jar
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/jar	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/jar	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/jar_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/jar_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/jar_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/java
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/java	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/java	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/java_copy
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/java_copy	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/java_copy	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/java_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/java_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/java_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/lex
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/lex	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/lex	(revision 1)
@@ -5,5 +5,5 @@
 	$(lex_silent) $(lex) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/LexYY/YY/g' -e 's/ = {stdin}//' -e 's/ = {stdout}//' lex.yy.c > lex.yy.c.tmp
-	$(cmtexe) -quiet check_files lex.yy.c.tmp ${NAME}.c
+	$(cmtexe) check_files lex.yy.c.tmp ${NAME}.c
 	del lex.yy.c
 	$(lex_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(app_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(app_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: CMT/v1r19/mgr/fragments/nmake/lex_library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/lex_library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/lex_library	(revision 1)
@@ -5,5 +5,5 @@
 	$(lex_silent) $(lex) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/LexYY/YY/g' -e 's/ = {stdin}//' -e 's/ = {stdout}//' lex.yy.c > lex.yy.c.tmp
-	$(cmtexe) -quiet check_files lex.yy.c.tmp ${NAME}.c
+	$(cmtexe) check_files lex.yy.c.tmp ${NAME}.c
 	del lex.yy.c
 	$(lex_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(lib_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(lib_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: CMT/v1r19/mgr/fragments/nmake/library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/library	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/library_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/library_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/library_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/library_no_share
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/library_no_share	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/library_no_share	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/make_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/make_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/make_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/protos_header
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/protos_header	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/protos_header	(revision 1)
Index: CMT/v1r19/mgr/fragments/nmake/yacc
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/yacc	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/yacc	(revision 1)
@@ -5,7 +5,7 @@
 	$(yacc_silent) $(yacc) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.c > y.tab.c.tmp
-	$(cmtexe) -quiet check_files y.tab.c.tmp ${NAME}.c
+	$(cmtexe) check_files y.tab.c.tmp ${NAME}.c
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.h > y.tab.h.tmp
-	$(cmtexe) -quiet check_files y.tab.h.tmp ${NAME}.h
+	$(cmtexe) check_files y.tab.h.tmp ${NAME}.h
 	del y.tab.[ch]
 	$(yacc_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(app_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(app_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c
Index: CMT/v1r19/mgr/fragments/nmake/yacc_library
===================================================================
--- CMT/v1r19/mgr/fragments/nmake/yacc_library	(revision 695)
+++ CMT/v1r19/mgr/fragments/nmake/yacc_library	(revision 1)
@@ -5,7 +5,7 @@
 	$(yacc_silent) $(yacc) ${FILENAME}
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.c > y.tab.c.tmp
-	$(cmtexe) -quiet check_files y.tab.c.tmp ${NAME}.c
+	$(cmtexe) check_files y.tab.c.tmp ${NAME}.c
 	sed -e 's/yy/${NAME}YY/g' -e 's/ParseYY/YY/g' y.tab.h > y.tab.h.tmp
-	$(cmtexe) -quiet check_files y.tab.h.tmp ${NAME}.h
+	$(cmtexe) check_files y.tab.h.tmp ${NAME}.h
 	del y.tab.[ch]
 	$(yacc_silent) $(ccomp) /Fo"$(bin)${CONSTITUENT}\${NAME}${CONSTITUENTSUFFIX}.obj" $(use_pp_cflags) $(${CONSTITUENT}_pp_cflags) $(lib_${CONSTITUENT}_pp_cflags) $(${NAME}_pp_cflags) $(use_cflags) $(${CONSTITUENT}_cflags) $(lib_${CONSTITUENT}_cflags) $(${NAME}_cflags) $(${NAME}_${FILESUFFIX}_cflags) ${ADDINCLUDE} $(src)${NAME}.c