Index: T/HEAD/doc/documents.html
===================================================================
--- /CMT/HEAD/doc/documents.html	(revision 67)
+++ 	(revision )
@@ -1,99 +1,0 @@
-<!--
-//-----------------------------------------------------------
-// Copyright Christian Arnault LAL-Orsay CNRS
-// arnault@lal.in2p3.fr
-// See the complete license in cmt_license.txt "http://www.cecill.info". 
-//-----------------------------------------------------------
--->
-
-<center><h1><b>Documents</b></h1></center>
-
-<hr>
-<br>
-
-<table rows=4>
-  <tr>
-    <td><center><i>document (html)</i></center></td>
-    <td><center><i>ps</i></center></td>
-    <td><center><i>pdf</i></center></td>
-    <td><center><i>ppt</i></center></td>
-  </tr>
-  <tr>
-    <td><a href="CMTDoc.html">CMT manual</a></td>
-    <td><a href="CMTDoc.ps"><center>x</center></a></td>
-    <td><a href="CMTDoc.pdf"><center>x</center></a></td>
-    <td></td>
-  </tr>
-  <tr>
-    <td><a href="ReleaseNotes.html">Release Notes</a></td>
-    <td></td>
-    <td></td>
-    <td></td>
-  </tr>
-  <tr>
-    <td><a href="CMTFAQ.html">CMT FAQ</a></td>
-    <td><a href="CMTFAQ.ps"><center>x</center></a></td>
-    <td><a href="CMTFAQ.pdf"><center>x</center></a></td>
-    <td></td>
-  </tr>
-  <tr>
-    <td><a href="Doxygen/html/index.html">Doxygen manual</a></td>
-    <td></td>
-    <td></td>
-    <td></td>
-  </tr>
-  <tr>
-    <td><a href="http://wlap.physics.lsa.umich.edu/atlas/computing/tutorials/cmt/2001/">Video tutorial at CERN (dec. 2001)</a></td>
-    <td></td>
-    <td></td>
-    <td></td>
-  </tr>
-  <tr>
-    <td>CMT slides presented at CHEP2001</td>
-    <td><a href="slides/CHEP01.ps.gz"><center>x</center></a></td>
-    <td></td>
-    <td><a href="slides/CHEP01.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td>Using CMT in Atlas</td>
-    <td></td>
-    <td></td>
-    <td><a href="slides/UsingCMTinATLAS.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td><a href="slides/cern20010228-2.htm">Another CMT tutorial</a></td>
-    <td><a href="slides/cern20010228-2.ps"><center>x</center></a></td>
-    <td></td>
-    <td><a href="slides/cern20010228-2.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td><a href="slides/cern20001129.htm">A CMT tutorial</a></td>
-    <td><a href="slides/cern20001129.ps"><center>x</center></a></td>
-    <td></td>
-    <td><a href="slides/cern20001129.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td><a href="slides/cern20000420.htm">Slides on the development model</a></td>
-    <td><a href="slides/cern20000420.ps"><center>x</center></a></td>
-    <td></td>
-    <td><a href="slides/cern20000420.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td><a href="slides/CHEP00/index.htm">CMT slides presented at CHEP2000</a></td>
-    <td><a href="slides/CHEP00.ps.Z"><center>x</center></a></td>
-    <td></td>
-    <td><a href="slides/CHEP00.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td><a href="slides/show/index.htm">CMT show</a></td>
-    <td><a href="slides/show.ps.Z"><center>x</center></a></td>
-    <td></td>
-    <td><a href="slides/show.ppt"><center>x</center></a></td>
-  </tr>
-  <tr>
-    <td><a href="ChangeLog.php" target="Contents">ChangeLog</a></td>
-    <td></td>
-    <td></td>
-  </tr>
-</table>
-<hr>
Index: /cmtsite/documents.html
===================================================================
--- /cmtsite/documents.html	(revision 68)
+++ /cmtsite/documents.html	(revision 68)
@@ -0,0 +1,99 @@
+<!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+-->
+
+<center><h1><b>Documents</b></h1></center>
+
+<hr>
+<br>
+
+<table rows=4>
+  <tr>
+    <td><center><i>document (html)</i></center></td>
+    <td><center><i>ps</i></center></td>
+    <td><center><i>pdf</i></center></td>
+    <td><center><i>ppt</i></center></td>
+  </tr>
+  <tr>
+    <td><a href="CMTDoc.html">CMT manual</a></td>
+    <td><a href="CMTDoc.ps"><center>x</center></a></td>
+    <td><a href="CMTDoc.pdf"><center>x</center></a></td>
+    <td></td>
+  </tr>
+  <tr>
+    <td><a href="ReleaseNotes.html">Release Notes</a></td>
+    <td></td>
+    <td></td>
+    <td></td>
+  </tr>
+  <tr>
+    <td><a href="CMTFAQ.html">CMT FAQ</a></td>
+    <td><a href="CMTFAQ.ps"><center>x</center></a></td>
+    <td><a href="CMTFAQ.pdf"><center>x</center></a></td>
+    <td></td>
+  </tr>
+  <tr>
+    <td><a href="Doxygen/html/index.html">Doxygen manual</a></td>
+    <td></td>
+    <td></td>
+    <td></td>
+  </tr>
+  <tr>
+    <td><a href="http://wlap.physics.lsa.umich.edu/atlas/computing/tutorials/cmt/2001/">Video tutorial at CERN (dec. 2001)</a></td>
+    <td></td>
+    <td></td>
+    <td></td>
+  </tr>
+  <tr>
+    <td>CMT slides presented at CHEP2001</td>
+    <td><a href="slides/CHEP01.ps.gz"><center>x</center></a></td>
+    <td></td>
+    <td><a href="slides/CHEP01.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td>Using CMT in Atlas</td>
+    <td></td>
+    <td></td>
+    <td><a href="slides/UsingCMTinATLAS.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td><a href="slides/cern20010228-2.htm">Another CMT tutorial</a></td>
+    <td><a href="slides/cern20010228-2.ps"><center>x</center></a></td>
+    <td></td>
+    <td><a href="slides/cern20010228-2.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td><a href="slides/cern20001129.htm">A CMT tutorial</a></td>
+    <td><a href="slides/cern20001129.ps"><center>x</center></a></td>
+    <td></td>
+    <td><a href="slides/cern20001129.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td><a href="slides/cern20000420.htm">Slides on the development model</a></td>
+    <td><a href="slides/cern20000420.ps"><center>x</center></a></td>
+    <td></td>
+    <td><a href="slides/cern20000420.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td><a href="slides/CHEP00/index.htm">CMT slides presented at CHEP2000</a></td>
+    <td><a href="slides/CHEP00.ps.Z"><center>x</center></a></td>
+    <td></td>
+    <td><a href="slides/CHEP00.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td><a href="slides/show/index.htm">CMT show</a></td>
+    <td><a href="slides/show.ps.Z"><center>x</center></a></td>
+    <td></td>
+    <td><a href="slides/show.ppt"><center>x</center></a></td>
+  </tr>
+  <tr>
+    <td><a href="ChangeLog.php" target="Contents">ChangeLog</a></td>
+    <td></td>
+    <td></td>
+  </tr>
+</table>
+<hr>