Index: T/HEAD/doc/install.html
===================================================================
--- /CMT/HEAD/doc/install.html	(revision 69)
+++ 	(revision )
@@ -1,152 +1,0 @@
-<!--
-//-----------------------------------------------------------
-// Copyright Christian Arnault LAL-Orsay CNRS
-// arnault@lal.in2p3.fr
-// See the complete license in cmt_license.txt "http://www.cecill.info". 
-//-----------------------------------------------------------
--->
-
-<center><h1><b>Install</b></h1></center>
-
-<br>
-
-<hr>
-<h2>On Unix platforms</h2>
-<blockquote>
-  First download the <a href="download.html">source distribution kit, as
-  follows:</a>.
-
-  <blockquote>
-    <pre>
-&gt; cd &lt;some root&gt;
-&gt; wget http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
-&gt; tar xzf CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
-    </pre>
-  </blockquote>
-
-  <p>This results in a directory structure like:
-
-  <blockquote>
-    <pre>
-&lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/...
-    </pre>
-  </blockquote>
-
-  Then, you have to perform the installation by running:
-
-  <blockquote>
-    <pre>
-unix> cd &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr
-unix> ./INSTALL
-unix> source setup.[c]sh
-
-  or
-
-dos> cd &lt;some root&gt;\CMT\v1r&lt;nn&gt;p&lt;xxx&gt;\mgr
-dos> call INSTALL.bat
-dos> call setup.bat
-
-    </pre>
-  </blockquote>
-
-  <p>At this stage, you may either <i>build</i> CMT yourself, or fetch
-  from the <a href="download.html">download page</a> some of the
-  prebuilt binaries (note that even if you select to get one of the
-  prebuilt binaries, you always have to first download the source
-  kit).</p>
-
-  <blockquote>
-    <pre>
-unix> source setup.[c]sh
-unix> [g]make
-
-  or
-
-dos> call setup.bat
-dos> nmake /f nmake
-
-    </pre>
-  </blockquote>
-
-  Then CMT is installed, and read to be used. Users have then to
-  connect to CMT by doing:
-
-  <blockquote>
-    <pre>
-
-unix-csh> source &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.csh
-
-  or
-
-unix-sh> . &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.sh
-
-  or
-
-dos> call &lt;some root&gt;\CMT\v1r&lt;nn&gt;p&lt;xxx&gt;\mgr\setup.bat
-    </pre>
-  </blockquote>
-
-
-</blockquote>
-
-<hr>
-<h2>On Redhat Linux platforms</h2>
-
-<blockquote>
-  <p>
-     For those platforms, a binary RPM is available. The installation procedure becomes:
-
-  <blockquote>
-    <pre>
-&gt; wget http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMT-v1r&lt;nn&gt;p&lt;xxx&gt;-1.i386.rpm
-&gt; rpm -Uvh --relocate /CMT=&lt;some root&gt;/CMT CMT-v1r&lt;nn&gt;p&lt;xxx&gt;-1.i386.rpm
-&gt; source &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.[c]sh
-    </pre>
-  </blockquote>
-
-     Once the installation is complete, CMT is ready to use.
-
-  </p> 
-</blockquote>
-
-<hr>
-<h2>On Windows platforms</h2>
-
-<blockquote>
-
-  <P>
-  Some of the global configuration parameters for CMT <i>may</i>
-  optionally be installed as Windows registry entries (although the
-  environment variables style of definitions is fully supported). This
-  can be done using the <tt>install.exe</tt> facility available from
-  the download page or using the standard RegEdit facility : </P>
-
-  <UL>
-
-    <LI>
-      <tt>HKEY_LOCAL_MACHINE/Software/CMT/root</tt> will contain the root
-      directory where CMT is installed (eg. "e:"). 
-    </LI>
-
-    <LI>
-      <tt>HKEY_LOCAL_MACHINE/Software/CMT/version</tt> will contain the
-      current version tag of CMT ("v1r16" for this version). 
-    </LI>
-
-    <LI>
-      <tt>HKEY_LOCAL_MACHINE/Software/CMT/path/</tt> may
-      optionally contain a set of text values corresponding to the
-      different package global access paths (similar to the
-      CMTPATH environment variable.
-    </LI>
-
-    <LI>
-      <tt>HKEY_CURRENT_USER/Software/CMT/path/</tt> may contain a
-      set of text values corresponding to the different package
-      private access paths (complementary to the latter).
-    </LI>
-
-  </UL>
-</blockquote>
-
-<hr>
Index: /cmtsite/install.html
===================================================================
--- /cmtsite/install.html	(revision 70)
+++ /cmtsite/install.html	(revision 70)
@@ -0,0 +1,152 @@
+<!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+-->
+
+<center><h1><b>Install</b></h1></center>
+
+<br>
+
+<hr>
+<h2>On Unix platforms</h2>
+<blockquote>
+  First download the <a href="download.html">source distribution kit, as
+  follows:</a>.
+
+  <blockquote>
+    <pre>
+&gt; cd &lt;some root&gt;
+&gt; wget http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
+&gt; tar xzf CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
+    </pre>
+  </blockquote>
+
+  <p>This results in a directory structure like:
+
+  <blockquote>
+    <pre>
+&lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/...
+    </pre>
+  </blockquote>
+
+  Then, you have to perform the installation by running:
+
+  <blockquote>
+    <pre>
+unix> cd &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr
+unix> ./INSTALL
+unix> source setup.[c]sh
+
+  or
+
+dos> cd &lt;some root&gt;\CMT\v1r&lt;nn&gt;p&lt;xxx&gt;\mgr
+dos> call INSTALL.bat
+dos> call setup.bat
+
+    </pre>
+  </blockquote>
+
+  <p>At this stage, you may either <i>build</i> CMT yourself, or fetch
+  from the <a href="download.html">download page</a> some of the
+  prebuilt binaries (note that even if you select to get one of the
+  prebuilt binaries, you always have to first download the source
+  kit).</p>
+
+  <blockquote>
+    <pre>
+unix> source setup.[c]sh
+unix> [g]make
+
+  or
+
+dos> call setup.bat
+dos> nmake /f nmake
+
+    </pre>
+  </blockquote>
+
+  Then CMT is installed, and read to be used. Users have then to
+  connect to CMT by doing:
+
+  <blockquote>
+    <pre>
+
+unix-csh> source &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.csh
+
+  or
+
+unix-sh> . &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.sh
+
+  or
+
+dos> call &lt;some root&gt;\CMT\v1r&lt;nn&gt;p&lt;xxx&gt;\mgr\setup.bat
+    </pre>
+  </blockquote>
+
+
+</blockquote>
+
+<hr>
+<h2>On Redhat Linux platforms</h2>
+
+<blockquote>
+  <p>
+     For those platforms, a binary RPM is available. The installation procedure becomes:
+
+  <blockquote>
+    <pre>
+&gt; wget http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMT-v1r&lt;nn&gt;p&lt;xxx&gt;-1.i386.rpm
+&gt; rpm -Uvh --relocate /CMT=&lt;some root&gt;/CMT CMT-v1r&lt;nn&gt;p&lt;xxx&gt;-1.i386.rpm
+&gt; source &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.[c]sh
+    </pre>
+  </blockquote>
+
+     Once the installation is complete, CMT is ready to use.
+
+  </p> 
+</blockquote>
+
+<hr>
+<h2>On Windows platforms</h2>
+
+<blockquote>
+
+  <P>
+  Some of the global configuration parameters for CMT <i>may</i>
+  optionally be installed as Windows registry entries (although the
+  environment variables style of definitions is fully supported). This
+  can be done using the <tt>install.exe</tt> facility available from
+  the download page or using the standard RegEdit facility : </P>
+
+  <UL>
+
+    <LI>
+      <tt>HKEY_LOCAL_MACHINE/Software/CMT/root</tt> will contain the root
+      directory where CMT is installed (eg. "e:"). 
+    </LI>
+
+    <LI>
+      <tt>HKEY_LOCAL_MACHINE/Software/CMT/version</tt> will contain the
+      current version tag of CMT ("v1r16" for this version). 
+    </LI>
+
+    <LI>
+      <tt>HKEY_LOCAL_MACHINE/Software/CMT/path/</tt> may
+      optionally contain a set of text values corresponding to the
+      different package global access paths (similar to the
+      CMTPATH environment variable.
+    </LI>
+
+    <LI>
+      <tt>HKEY_CURRENT_USER/Software/CMT/path/</tt> may contain a
+      set of text values corresponding to the different package
+      private access paths (complementary to the latter).
+    </LI>
+
+  </UL>
+</blockquote>
+
+<hr>