Index: T/HEAD/doc/emacs.html
===================================================================
--- /CMT/HEAD/doc/emacs.html	(revision 73)
+++ 	(revision )
@@ -1,120 +1,0 @@
-<!--
-//-----------------------------------------------------------
-// Copyright Christian Arnault LAL-Orsay CNRS
-// arnault@lal.in2p3.fr
-// See the complete license in cmt_license.txt "http://www.cecill.info". 
-//-----------------------------------------------------------
--->
-
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-  <head>
-    <title>Emacs mode for CMT</title>
-  </head>
-  
-  <body>
-    <center><h1>Emacs mode for CMT</h1></center>
-
-    <center>***** Preliminary version v0.4 *****</center>
-
-    <center><a href="mailto:perus@lal.in2p3.fr">Antoine Pérus</a></center>
-
-
-    <p>The CMT mode for XEmacs is intended to help editing CMT
-    requirements files. At the current time it allows coloration of
-    files, keyword completion and adds some specific keyword
-    motions.</p>
-
-    <p>For more informations, type Ctl-h m</p>
-
-    <p>CMT mode was only tested with XEmacs (formerly Lucid Emacs)
-    version 21.5 on my PowerBook with MacOS 10.3.3 ...</p>
-
-    <p>In addition, CMT mode now works with FSF Emacs version 21.2.1
-    in a slightly limited way.  It may work with some earlier
-    versions, but has not been tested.</p>
-
-
-    <h2>Files</h2>
-
-    <ul>
-
-      <li><tt><a href="cmt-mode.el">cmt-mode.el</a></tt> source file of CMT mode</li>
-
-      <li><tt><a href="init.el">init.el</a></tt> an example for a XEmacs init file</li>
-
-    </ul>
-
-    <h2>Installation for XEmacs</h2>
-
-    <p>To install CMT mode, you need to insert the following lines
-    into your <tt>$HOME/.xemacs/init.el</tt> file.</p>
-
-
-    <pre>
-=========================================================
-
-;; Tell xemacs where to look for CMT mode
-;;      [useless if you put the cmt-mode.el in a directory in your load-path]
-
-    (setq load-path (cons "&lt;PATH-TO-CMT-MODE&gt;/" load-path))
-
-;; Automatically load the CMT mode.
-
-    (autoload 'cmt-mode "cmt-mode" "CMT requirements file editing mode." t)
-    (setq auto-mode-alist
-       (append (list (cons "requirements$" 'cmt-mode))
-               auto-mode-alist))
-
-=========================================================
-    </pre>
-
-    <i>[note that this may also work with recent versions of Emacs]</i>
-
-
-    <p>The hook needed to attach local keybindings is already defined
-    in <tt>cmt-mode.el</tt>. [For more informations, see <tt>Ctl-h
-    m</tt> when editing a requirements file]</p>
-
-    <p>In addition, we provide a XEmacs init file example in the
-    distribution kit with two functions for commenting or uncommenting
-    regions as well as the keybindings to use them inside the CMT
-    mode.</p>
-
-
-
-    <h2>Todo</h2>
-
-    <p>Things I'd like to do (quickly) in CMT mode: (in approximate order of importance)</p>
-
-    <ul>
-      
-      <li>full support of CMT keywords</li>
-      <li> decent indentation
-	<ul>
-	  <li>syntax parser</li>
-	  <li>indentation engine ?</li>
-	</ul>
-      </li>
-      <li> contextual completiony
-      <li> ??</li>
-    </ul>
-    
-
-    <h2>Note</h2>
-
-    <p>As already said it is a very preliminary version. Some
-    structures are in place but very few features are fully
-    implemented. Last but not least I'm not a lisp expert and this
-    mode is my first attempt.</p>
-
-    <p>Please feel free to submit bugs and suggestions.</p>
-
-    <hr>
-    <address><a href="mailto:arnault@lal.in2p3.fr">Christian Arnault</a></address>
-<!-- Created: Tue Mar 23 10:39:25 CET 2004 -->
-<!-- hhmts start -->
-Last modified: Tue Mar 23 14:31:44 CET 2004
-<!-- hhmts end -->
-  </body>
-</html>
Index: /cmtsite/emacs.html
===================================================================
--- /cmtsite/emacs.html	(revision 74)
+++ /cmtsite/emacs.html	(revision 74)
@@ -0,0 +1,120 @@
+<!--
+//-----------------------------------------------------------
+// Copyright Christian Arnault LAL-Orsay CNRS
+// arnault@lal.in2p3.fr
+// See the complete license in cmt_license.txt "http://www.cecill.info". 
+//-----------------------------------------------------------
+-->
+
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+  <head>
+    <title>Emacs mode for CMT</title>
+  </head>
+  
+  <body>
+    <center><h1>Emacs mode for CMT</h1></center>
+
+    <center>***** Preliminary version v0.4 *****</center>
+
+    <center><a href="mailto:perus@lal.in2p3.fr">Antoine Pérus</a></center>
+
+
+    <p>The CMT mode for XEmacs is intended to help editing CMT
+    requirements files. At the current time it allows coloration of
+    files, keyword completion and adds some specific keyword
+    motions.</p>
+
+    <p>For more informations, type Ctl-h m</p>
+
+    <p>CMT mode was only tested with XEmacs (formerly Lucid Emacs)
+    version 21.5 on my PowerBook with MacOS 10.3.3 ...</p>
+
+    <p>In addition, CMT mode now works with FSF Emacs version 21.2.1
+    in a slightly limited way.  It may work with some earlier
+    versions, but has not been tested.</p>
+
+
+    <h2>Files</h2>
+
+    <ul>
+
+      <li><tt><a href="cmt-mode.el">cmt-mode.el</a></tt> source file of CMT mode</li>
+
+      <li><tt><a href="init.el">init.el</a></tt> an example for a XEmacs init file</li>
+
+    </ul>
+
+    <h2>Installation for XEmacs</h2>
+
+    <p>To install CMT mode, you need to insert the following lines
+    into your <tt>$HOME/.xemacs/init.el</tt> file.</p>
+
+
+    <pre>
+=========================================================
+
+;; Tell xemacs where to look for CMT mode
+;;      [useless if you put the cmt-mode.el in a directory in your load-path]
+
+    (setq load-path (cons "&lt;PATH-TO-CMT-MODE&gt;/" load-path))
+
+;; Automatically load the CMT mode.
+
+    (autoload 'cmt-mode "cmt-mode" "CMT requirements file editing mode." t)
+    (setq auto-mode-alist
+       (append (list (cons "requirements$" 'cmt-mode))
+               auto-mode-alist))
+
+=========================================================
+    </pre>
+
+    <i>[note that this may also work with recent versions of Emacs]</i>
+
+
+    <p>The hook needed to attach local keybindings is already defined
+    in <tt>cmt-mode.el</tt>. [For more informations, see <tt>Ctl-h
+    m</tt> when editing a requirements file]</p>
+
+    <p>In addition, we provide a XEmacs init file example in the
+    distribution kit with two functions for commenting or uncommenting
+    regions as well as the keybindings to use them inside the CMT
+    mode.</p>
+
+
+
+    <h2>Todo</h2>
+
+    <p>Things I'd like to do (quickly) in CMT mode: (in approximate order of importance)</p>
+
+    <ul>
+      
+      <li>full support of CMT keywords</li>
+      <li> decent indentation
+	<ul>
+	  <li>syntax parser</li>
+	  <li>indentation engine ?</li>
+	</ul>
+      </li>
+      <li> contextual completiony
+      <li> ??</li>
+    </ul>
+    
+
+    <h2>Note</h2>
+
+    <p>As already said it is a very preliminary version. Some
+    structures are in place but very few features are fully
+    implemented. Last but not least I'm not a lisp expert and this
+    mode is my first attempt.</p>
+
+    <p>Please feel free to submit bugs and suggestions.</p>
+
+    <hr>
+    <address><a href="mailto:arnault@lal.in2p3.fr">Christian Arnault</a></address>
+<!-- Created: Tue Mar 23 10:39:25 CET 2004 -->
+<!-- hhmts start -->
+Last modified: Tue Mar 23 14:31:44 CET 2004
+<!-- hhmts end -->
+  </body>
+</html>