Index: /cmtsite/ChangeLog
===================================================================
--- /cmtsite/ChangeLog	(revision 93)
+++ /cmtsite/ChangeLog	(revision 93)
@@ -0,0 +1,8 @@
+2005-09-09    <arnault@lal.in2p3.fr> 01
+
+	* download.html: Reference Pacman
+	Add info for users without the wget utility
+
+	* install.html: Now only for the source kit.
+	
+
Index: /cmtsite/download.html
===================================================================
--- /cmtsite/download.html	(revision 92)
+++ /cmtsite/download.html	(revision 93)
@@ -46,5 +46,6 @@
 
 <ul>
-<li> <a href="v1r18p20050501/CMTDownload.html">v1r18p20050501</a> <i>Current iteration for the v1r18 release</i>
+<li> <a href="v1r18p20050901/CMTDownload.html">v1r18p20050901</a> <i>Current iteration for the v1r18 release</i>
+<li> <a href="v1r18p20050501/CMTDownload.html">v1r18p20050501</a> <i>An iteration for the v1r18 release</i>
 <li> <a href="v1r16p20040901/CMTDownload.html">v1r16p20040901</a> <i>Current iteration for the v1r16 release</i>
 <li> <a href="v1r14p20031120/CMTDownload.html">v1r14p20031120</a> <i>Current iteration for the v1r14 release</i>
@@ -74,8 +75,23 @@
 </blockquote>
 
+Or, on a MacOSX machine:
+
+<blockquote>
+<pre>
+Mac&gt; cd &lt;some root&gt;
+Mac&gt; curl http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
+Mac&gt; tar xzf CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
+</pre>
+</blockquote>
+
+<i>Note that on a Windows machine you can easily get the
+<tt>wget</tt> utility from <a
+href="http://www.gnu.org/software/wget/wget.html">the official wget
+Web site</a>. Just download the binary and use it.</i>
+
 <p>Then you may either <a href="install.html">rebuild</a> CMT or
-download one of the optional pre-built binary kits (note that even if
-you select to get one of the prebuilt binaries, you always have to
-first download the source kit).<p>
+download one of the optional pre-built binary kits (note that since
+the v1r18 serie, each binary kit is entirely autonomous and no longer
+requires the source kit).<p>
 
 <p>If you wish to build CMT on other plateforms, you just need a
@@ -83,3 +99,31 @@
 bash-like shell.
 <p>
+
 <hr>
+<h2>Using <tt>pacman</tt></h2>
+
+<blockquote>
+  <p><i>This method is only available since CMT v1r16p20040901</i></p>
+
+  <p>
+     For users having access to the <a
+     href="http://physics.bu.edu/~youssef/pacman/"><tt>pacman</tt></a>
+     tool, the procedure to download and install CMT becomes:
+
+  <blockquote>
+    <pre>
+&gt; pacman -get CMT:CMT
+
+or:
+
+&gt; pacman -get "CMT:CMT | version('v1r&lt;nn&gt;p&lt;xxx&gt;')"
+    </pre>
+  </blockquote>
+
+     Once the installation is complete, CMT is ready to use.
+
+  </p> 
+</blockquote>
+
+
+<hr>
Index: /cmtsite/install.html
===================================================================
--- /cmtsite/install.html	(revision 92)
+++ /cmtsite/install.html	(revision 93)
@@ -7,5 +7,5 @@
 -->
 
-<center><h1><b>Install</b></h1></center>
+<center><h1><b>Installing from the source kit</b></h1></center>
 
 <br>
@@ -14,14 +14,5 @@
 <h2>On Unix platforms</h2>
 <blockquote>
-  First download the <a href="download.html">source distribution kit, as
-  follows:</a>.
-
-  <blockquote>
-    <pre>
-&gt; cd &lt;some root&gt;
-&gt; wget http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
-&gt; tar xzf CMTv1r&lt;nn&gt;p&lt;xxx&gt;.tar.gz
-    </pre>
-  </blockquote>
+  First download the <a href="download.html">source distribution kit</a>.
 
   <p>This results in a directory structure like:
@@ -91,24 +82,4 @@
 
 <hr>
-<h2>On Redhat Linux platforms</h2>
-
-<blockquote>
-  <p>
-     For those platforms, a binary RPM is available. The installation procedure becomes:
-
-  <blockquote>
-    <pre>
-&gt; wget http://www.cmtsite.org/v1r&lt;nn&gt;p&lt;xxx&gt;/CMT-v1r&lt;nn&gt;p&lt;xxx&gt;-1.i386.rpm
-&gt; rpm -Uvh --relocate /CMT=&lt;some root&gt;/CMT CMT-v1r&lt;nn&gt;p&lt;xxx&gt;-1.i386.rpm
-&gt; source &lt;some root&gt;/CMT/v1r&lt;nn&gt;p&lt;xxx&gt;/mgr/setup.[c]sh
-    </pre>
-  </blockquote>
-
-     Once the installation is complete, CMT is ready to use.
-
-  </p> 
-</blockquote>
-
-<hr>
 <h2>On Windows platforms</h2>
 