Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 94)
+++ /CMT/HEAD/ChangeLog	(revision 95)
@@ -1,2 +1,13 @@
+2005-09-29  Christian Arnault  <arnault@lal.in2p3.fr> 283
+
+	* mgr/fragments/nmake/constituents_trailer (makefilesclean): Remove references to checkuses
+	* mgr/fragments/constituents_header (config): Remove references to checkuses
+	* mgr/fragments/constituents_trailer (makefilesclean): Remove references to checkuses
+	* mgr/fragments/make_header (dirs): Remove references to checkuses
+	* mgr/fragments/make_setup (config): Remove references to checkuses
+
+	* source/cmt_parser.cxx (do_broadcast): bug fix: the set_standard_macro was not called 
+	prior to set all EVs before the broadcast loop
+
 2005-09-09    <arnault@lal.in2p3.fr> 282
 
Index: /CMT/HEAD/mgr/cmt.nmake
===================================================================
--- /CMT/HEAD/mgr/cmt.nmake	(revision 94)
+++ /CMT/HEAD/mgr/cmt.nmake	(revision 95)
@@ -3,5 +3,5 @@
 #  Application cmt
 #
-#   Generated Mon Sep 05 15:17:19 2005  by ARNAULT
+#   Generated Fri Sep 30 09:25:35 2005  by arnault
 #
 #====================================
Index: /CMT/HEAD/mgr/fragments/constituents_header
===================================================================
--- /CMT/HEAD/mgr/fragments/constituents_header	(revision 94)
+++ /CMT/HEAD/mgr/fragments/constituents_header	(revision 95)
@@ -32,5 +32,5 @@
 #--------------------------------------------------------
 
-cmt_lock_setup = /tmp/lock$(cmt_lock_pid).make
+##cmt_lock_setup = /tmp/lock$(cmt_lock_pid).make
 cmt_temp_tag = /tmp/tag$(cmt_lock_pid).make
 
@@ -40,5 +40,5 @@
 ##	@bin=`$(cmtexe) -quiet show macro_value bin`
 
-$(cmt_local_tagfile) : $(cmt_lock_setup)
+$(cmt_local_tagfile) : ##$(cmt_lock_setup)
 	@/bin/echo "------> (constituents.make) Rebuilding setup.make $(cmt_local_tagfile)"
 	@if test -f $(cmt_local_tagfile); then /bin/rm -f $(cmt_local_tagfile); fi
@@ -64,5 +64,5 @@
 	@/bin/echo setup.make ok
 
-config :: checkuses
+config :: ## checkuses
 	@exit 0
 
@@ -89,8 +89,9 @@
 
 .DEFAULT ::
-	@if test "$@" = "$(cmt_lock_setup)"; then \
-	  /bin/rm -f $(cmt_lock_setup); \
-	  touch $(cmt_lock_setup); \
-	fi
+
+#	@if test "$@" = "$(cmt_lock_setup)"; then \
+#	  /bin/rm -f $(cmt_lock_setup); \
+#	  touch $(cmt_lock_setup); \
+#	fi
 
 #-- end of constituents_header ------
Index: /CMT/HEAD/mgr/fragments/constituents_trailer
===================================================================
--- /CMT/HEAD/mgr/fragments/constituents_trailer	(revision 94)
+++ /CMT/HEAD/mgr/fragments/constituents_trailer	(revision 95)
@@ -8,5 +8,6 @@
 
 makefilesclean ::
-	@/bin/rm -f checkuses
+
+###	@/bin/rm -f checkuses
 
 ###	/bin/rm -f *.make*
Index: /CMT/HEAD/mgr/fragments/make_header
===================================================================
--- /CMT/HEAD/mgr/fragments/make_header	(revision 94)
+++ /CMT/HEAD/mgr/fragments/make_header	(revision 95)
@@ -88,6 +88,7 @@
 dirs ::
 	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
-	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
-	  /bin/rm -f checkuses
+	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi
+
+###	  /bin/rm -f checkuses
 
 javadirs ::
Index: /CMT/HEAD/mgr/fragments/make_setup
===================================================================
--- /CMT/HEAD/mgr/fragments/make_setup	(revision 94)
+++ /CMT/HEAD/mgr/fragments/make_setup	(revision 95)
@@ -23,5 +23,5 @@
 	fi
 
-config :: checkuses ##$(${PACKAGE}_tag).make
+config :: ## checkuses $(${PACKAGE}_tag).make
 	@/bin/echo $(${PACKAGE}_tag).make ok
 
Index: /CMT/HEAD/mgr/fragments/nmake/constituents_trailer
===================================================================
--- /CMT/HEAD/mgr/fragments/nmake/constituents_trailer	(revision 94)
+++ /CMT/HEAD/mgr/fragments/nmake/constituents_trailer	(revision 95)
@@ -8,5 +8,6 @@
 makefilesclean ::
 	@if exist *.make.* del *.make*
-	@if exist checkuses del checkuses
+
+###	@if exist checkuses del checkuses
 
 clean :: makefilesclean
Index: /CMT/HEAD/source/cmt_cvs.cxx
===================================================================
--- /CMT/HEAD/source/cmt_cvs.cxx	(revision 94)
+++ /CMT/HEAD/source/cmt_cvs.cxx	(revision 95)
@@ -1778,5 +1778,16 @@
 	    CmtSystem::cd (here);
 
-	    if (did_recurse) execute ("cmt -quiet broadcast cmt -quiet config");
+	    if (did_recurse) 
+	      {
+		execute ("cmt -quiet broadcast cmt -quiet config");
+	      }
+	    else
+	      {
+		execute ("cmt -quiet config");
+	      }
+	  }
+	else
+	  {
+	    execute ("cmt -quiet config");
 	  }
       }
Index: /CMT/HEAD/source/cmt_parser.cxx
===================================================================
--- /CMT/HEAD/source/cmt_parser.cxx	(revision 94)
+++ /CMT/HEAD/source/cmt_parser.cxx	(revision 95)
@@ -1434,4 +1434,5 @@
   if (begin == "") started = true;
 
+  set_standard_macros ();
   Cmt::reset_all_sets_done ();
   Symbol::all_set ();