Index: /CMT/HEAD/ChangeLog
===================================================================
--- /CMT/HEAD/ChangeLog	(revision 108)
+++ /CMT/HEAD/ChangeLog	(revision 109)
@@ -6,4 +6,9 @@
 	harmless to any user of this special file though.
 
+	source/cmt.h
+	source/cmt_parser.cxx
+	source/cmt_commands.h
+	source/cmt_commands.cxx
+	doc/CMTDoc.xml: Add a -warnings option to display various warning messages
  
 2005-10-18    <arnault@lal.in2p3.fr> 288
Index: /CMT/HEAD/doc/CMTDoc.xml
===================================================================
--- /CMT/HEAD/doc/CMTDoc.xml	(revision 108)
+++ /CMT/HEAD/doc/CMTDoc.xml	(revision 109)
@@ -4690,4 +4690,5 @@
    -tag_add=&amp;lt;tag-list&gt;     : add specific comma-separated tag(s)
    -tag_remove=&amp;lt;tag-list&gt;  : remove specific comma-separated tag(s)
+   -warnings               : display various warnings
    -with_version_directory : reset to default structuring style
    -without_version_directory : switch structuring style
@@ -5810,4 +5811,6 @@
                 simple list of used packages, starting from the
                 deepest uses.</p>
+
+                <p>The <tt>-warnings</tt> option displays various warnings, such as invalid PATH items.</p>
 
               <p></p></li>
Index: /CMT/HEAD/source/cmt.h
===================================================================
--- /CMT/HEAD/source/cmt.h	(revision 108)
+++ /CMT/HEAD/source/cmt.h	(revision 109)
@@ -56,4 +56,5 @@
   cmt_string m_default_path;
   bool m_quiet;
+  bool m_warnings;
   bool m_recursive;
   CmtScopeFilteringMode m_scope_filtering_mode;
@@ -208,4 +209,5 @@
   static bool get_debug ();
   static bool get_quiet ();
+  static bool get_warnings ();
   static bool get_recursive ();
   static CmtScopeFilteringMode get_scope_filtering_mode ();
Index: /CMT/HEAD/source/cmt_commands.cxx
===================================================================
--- /CMT/HEAD/source/cmt_commands.cxx	(revision 108)
+++ /CMT/HEAD/source/cmt_commands.cxx	(revision 109)
@@ -294,4 +294,11 @@
   parsers.add ("-version", i);
   pv.push_back (&ArgParser::option_version); i++;
+
+  parsers.add ("-warn", i);
+  parsers.add ("-warni", i);
+  parsers.add ("-warnin", i);
+  parsers.add ("-warning", i);
+  parsers.add ("-warnings", i);
+  pv.push_back (&ArgParser::option_warnings); i++;
 
   parsers.add ("-with_v", i);
@@ -1571,4 +1578,9 @@
 }
 
+void ArgParser::option_warnings ()
+{
+  cmt.m_warnings = true;
+}
+
 void ArgParser::option_csh ()
 {
@@ -1989,4 +2001,5 @@
   cerr << "#   -tag_add=<tag-list>     : add specific comma-separated tag(s)" << endl;
   cerr << "#   -tag_remove=<tag-list>  : remove specific comma-separated tag(s)" << endl;
+  cerr << "#   -warnings               : display various warnings" << endl;
   cerr << "#   -with_version_directory : reset to default structuring style" << endl;
   cerr << "#   -without_version_directory : switch structuring style" << endl;
Index: /CMT/HEAD/source/cmt_commands.h
===================================================================
--- /CMT/HEAD/source/cmt_commands.h	(revision 108)
+++ /CMT/HEAD/source/cmt_commands.h	(revision 109)
@@ -61,4 +61,5 @@
   void option_n ();
   void option_quiet ();
+  void option_warnings ();
   void option_csh ();
   void option_sh ();
Index: /CMT/HEAD/source/cmt_parser.cxx
===================================================================
--- /CMT/HEAD/source/cmt_parser.cxx	(revision 108)
+++ /CMT/HEAD/source/cmt_parser.cxx	(revision 109)
@@ -77,4 +77,5 @@
   m_default_path     = "";
   m_quiet            = false;
+  m_warnings         = false;
   m_recursive        = false;
 
@@ -3920,4 +3921,9 @@
 {
   return (Me.m_quiet);
+}
+
+bool Cmt::get_warnings ()
+{
+  return (Me.m_warnings);
 }
 
Index: /CMT/HEAD/source/cmt_symbol.cxx
===================================================================
--- /CMT/HEAD/source/cmt_symbol.cxx	(revision 108)
+++ /CMT/HEAD/source/cmt_symbol.cxx	(revision 109)
@@ -871,5 +871,5 @@
       if (!CmtSystem::test_directory (t))
 	{
-	  if (!Cmt::get_quiet ())
+	  if (Cmt::get_warnings ())
 	    {
 	      cerr << "#CMT> Warning: Wrong " << name << " item " << t << endl;